<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:18447a58-f7ee-4b6c-9356-b0a4c8c32be9,g:58a1a7b4-e9ff-412d-acd8-999def15dad9-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:hsbcmalta="http://www.hsbc.com.mt/20231231" xmlns:xbrli="http://www.xbrl.org/2003/instance" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.hsbc.com.mt/20231231">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hsbcmalta-2023-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hsbcmalta-2023-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hsbcmalta-2023-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hsbcmalta-2023-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" roleURI="http://www.hsbc.com.mt/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by function of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement" roleURI="http://www.hsbc.com.mt/role/StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement">
        <link:definition>[0000002] Statement of comprehensive income, OCI components presented before tax (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementoffinancialpositionorderofliquidityStatement" roleURI="http://www.hsbc.com.mt/role/StatementoffinancialpositionorderofliquidityStatement">
        <link:definition>[0000003] Statement of financial position, order of liquidity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofchangesinequityStatement" roleURI="http://www.hsbc.com.mt/role/StatementofchangesinequityStatement">
        <link:definition>[0000004] Statement of changes in equity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsdirectmethodStatement" roleURI="http://www.hsbc.com.mt/role/StatementofcashflowsdirectmethodStatement">
        <link:definition>[0000005] Statement of cash flows, direct method (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails" roleURI="http://www.hsbc.com.mt/role/TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails">
        <link:definition>[0000006] Tags that must be applied if corresponding information is present in a report (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.hsbc.com.mt/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="hsbcmalta_PrepaymentsAccruedIncomeAndOtherAssets" abstract="false" name="PrepaymentsAccruedIncomeAndOtherAssets" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" abstract="false" name="IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" abstract="false" name="AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" abstract="false" name="AdjustmentForDecreaseIncreaseInTreasuryBills" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_AccrualsDeferredIncomeAndOtherLiabilities" abstract="false" name="AccrualsDeferredIncomeAndOtherLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" abstract="false" name="BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" abstract="false" name="OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_GuaranteesAndOtherContingentLiabilities" abstract="false" name="GuaranteesAndOtherContingentLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" abstract="false" name="AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_PaymentsForInterestFeesAndClaims" abstract="false" name="PaymentsForInterestFeesAndClaims" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" abstract="false" name="AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" abstract="false" name="AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_NetOperatingIncome" abstract="false" name="NetOperatingIncome" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_Commitments" abstract="false" name="Commitments" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" abstract="false" name="ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
